=== debian/changelog ===
quassel (0.8.0-1+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-8483.patch patch.
    CVE-2014-8483: out-of-bounds read on a heap-allocated array.
    (Closes: #766962)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 28 Oct 2014 17:10:53 +0100

quassel (0.8.0-1+deb7u2) wheezy; urgency=medium

  * Fixing security issue where quassel core certificate is 
    readable by all local users
    - Change permissions of /var/lib/quassel/quasselCert.pem
    - Add debian/NEWS to notify the admin to change the certificate

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 03 Jul 2014 14:42:18 +0200

quassel (0.8.0-1+deb7u1) wheezy; urgency=medium

  * Fix CVE-2013-6404: clients can access backlogs belonging to other users
    - Backport upstream commit in CVE-2013-6404.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 09 Mar 2014 13:41:50 +0100

quassel (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Debian Policy to 3.9.3

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 25 Apr 2012 00:02:51 +0200

quassel (0.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to upgrade from squeeze": test for existence of to-be-moved
    file in quassel-core.preinst; and use -p for mkdir to avoid errors when
    the directory exists, like after failed upgrades.
    (Closes: #655844)

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Apr 2012 19:02:42 +0200

quassel (0.7.3-2) unstable; urgency=medium

  * Change Build-Depends of the package from libpng12-dev to libpng-dev.
    (Closes: #662486)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 05 Mar 2012 09:27:50 +0100

quassel (0.7.3-1) unstable; urgency=medium

  * New upstream release
  * Translation update
  * Fixing security issue: ctcp DoS (Closes: #640960)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Fri, 09 Sep 2011 19:00:55 +0000

quassel (0.7.2-2) unstable; urgency=low

  * DATADIR set to new location /var/lib/ (Closes: #629507)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 07 Jun 2011 19:01:51 +0000

quassel (0.7.2-1) unstable; urgency=low

  * New upstream release (Closes: #629393)
  * Clients no longer recommend quassel-core (Closes: #622904)
  * Debian Policy to 3.9.2
  * quassel-core.preinst added - taken from Ubuntu (Closes: #612042)
    Thanks to Scott Kitterman <scott@kitterman.com> 

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 06 Jun 2011 20:40:24 +0200

quassel (0.7.1-4) unstable; urgency=low

  * 0.7.1-3 lost the kfreebsd patch of 0.7.1-2

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 14 Apr 2011 20:08:27 +0200

quassel (0.7.1-3) unstable; urgency=low

  * Build-dependency qt4-dev-tools added (Closes: #613599)
  * Build-dependency libqtwebkit-dev added (Closes: #622273)
  * Build-dependency libdbusmenu-qt-dev added
  * Build-dependency libindicate-qt-dev added

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 12 Apr 2011 22:40:46 +0200

quassel (0.7.1-2) unstable; urgency=low

  * Patch added to fix kfreebsd builds (Closes: #620542)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 11 Apr 2011 21:44:34 +0200

quassel (0.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Do not hardcode kdelibs5 and kdebase-runtime in quassel-client-kde4 and
    quassel-kde4 Depends (Closes: #616026). kdelibs5 has been deprecated and
    will be removed soon while kdebase-runtime is added via shlibs as needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 30 Mar 2011 18:59:12 +0300

quassel (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 21 Sep 2010 19:59:07 +0200

quassel (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sat, 18 Sep 2010 19:19:40 +0200 
 
