## quassel 0.9.0

=== debian/changelog ===
quassel (0.9.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 16 Apr 2013 21:28:37 -0400

quassel (0.9~rc1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Apr 2013 19:34:42 -0400

quassel (0.9~beta1-0ubuntu2) raring; urgency=low

  * Fix mess with icons due to obsolete package naming and lack of sufficient
    hicolor icons:
    - Drop quassel-data depends on no longer existing kde-icons-oxygen |
      hicolor-icon-theme
    - Add Recommends: oxygen-icon-theme for quassel/quassel-core
    - Change build flag for Qt only build to include subset of oxygen icons
      shipped with quassel
    - Add new binary, quassel-qt4-data, to hold Qt unique icons and have the
      Qt only packages Recommend it

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Mar 2013 15:32:25 -0400

quassel (0.9~beta1-0ubuntu1) raring; urgency=low

  * New upstream beta release
    - Remove debian/patches/0001-Support-intermediate-CA-certificates.patch,
      incorporated upstream
    - Remove 0002-Allow-the-core-to-use-expired-certificates.patch,
      incorporated upstream
    - Update kubuntu_02_enable_message_indicator.diff for 0.9

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Mar 2013 15:07:41 -0500

quassel (0.8.0-0ubuntu2) quantal; urgency=low

  * Add libqtwebkit-dev to build deps to enable link previews 

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 13:21:16 +0530

quassel (0.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add debian/patches/0001-Support-intermediate-CA-certificates.patch and
    0002-Allow-the-core-to-use-expired-certificates.patch from Felix Geyer to
    correct issues with SSL integration

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Mar 2012 18:21:56 -0400

quassel (0.8~rc1-0ubuntu2) precise; urgency=low

  * Build-depend on dh-apparmor. (LP: #948481)
  * Append $CPPFLAGS to $CXXFLAGS.
  * Use pkg-info.mk instead of parsing the upstream version manually.
  * Drop ancient Conflicts and Replaces.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Switch AppArmor profile to enforce mode.
  * Don't pass -DCMAKE_BUILD_TYPE=Debugfull to cmake anymore. We want the
    default build type RelWithDebugInfo.
  * Add an ufw application profile.
  * Use dh_install --sourcedir instead of specifying absolute paths in the
    install files.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 11 Mar 2012 23:00:26 +0100

quassel (0.8~rc1-0ubuntu1) precise; urgency=low

  * New update release candidate

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Feb 2012 17:27:22 -0500

quassel (0.8~beta1-0ubuntu1) precise; urgency=low

  * New upstream beta release
    - Update quasselcore man page for new oidentd option 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Feb 2012 18:38:55 -0500

quassel (0.7.3-0ubuntu4) precise; urgency=low

  * Enable hardening options pie and bindnow.
  * Drop the quasselcore-makecert manpage since we no longer provide
    that script.
  * Add an AppArmor profile for quasselcore in complain mode.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 16 Dec 2011 11:35:10 +0100
