=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

CMAKE_OPTIONS = -DWANT_MONO=ON -DEMBED_DATA=OFF

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow
include /usr/share/dpkg/buildflags.mk
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --buildsystem=cmake --with=kde --parallel

override_dh_clean:
	dh_clean
	rm -rf debian/build-qt4 debian/tmp-qt4

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DWITH_KDE=ON $(CMAKE_OPTIONS)
	dh_auto_configure -Bdebian/build-qt4 -- -DWITH_KDE=OFF -DWANT_CORE=OFF -DWITH_OXYGEN=ON $(CMAKE_OPTIONS)

override_dh_auto_build:
	dh_auto_build -Skde
	dh_auto_build -Bdebian/build-qt4
	pod2man --section=1 --release=$(DEB_VERSION_UPSTREAM) --center "" debian/mans/quassel.pod > quassel.1
	pod2man --section=1 --release=$(DEB_VERSION_UPSTREAM) --center "" debian/mans/quasselcore.pod > quasselcore.1
	pod2man --section=1 --release=$(DEB_VERSION_UPSTREAM) --center "" debian/mans/quasselclient.pod > quasselclient.1

override_dh_auto_install:
	dh_auto_install -Skde
	dh_auto_install -Bdebian/build-qt4 --destdir=$(CURDIR)/debian/tmp-qt4

override_dh_install:
	dh_install -pquassel-qt4 -pquassel-client-qt4 -pquassel-qt4-data --sourcedir=debian/tmp-qt4
	dh_install --remaining-packages -Xusr/share/kde4/apps/quassel/icons/oxygen/scalable --list-missing
	install -o root -g root -m 644 debian/quassel-core.ufw.profile debian/quassel-core/etc/ufw/applications.d/quasselcore

override_dh_installinit:
	dh_apparmor -pquassel-core --profile-name=usr.bin.quasselcore
	dh_installinit -r --error-handler=exit --name=quasselcore

override_dh_strip:
	# only strip the KDE stuff to the dbg package
	dh_strip -Nquassel-qt4 -Nquassel-client-qt4 --dbg-package=quassel-dbg
	dh_strip --remaining-packages
