## quassel 0.9.1

=== debian/changelog ===
quassel (0.9.1-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Oct 2013 00:06:18 -0400
